Create a task on a deal
curl --request POST \
--url https://api.journeybee.io/v1/deals/{uuid}/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"status": "to_do",
"shared": false,
"content": "<string>",
"due_date": "<string>",
"lead_uuid": "<string>",
"deal_uuid": "<string>",
"partnership_uuid": "<string>",
"assigned_user_uuids": [
"<string>"
]
}
'import requests
url = "https://api.journeybee.io/v1/deals/{uuid}/tasks"
payload = {
"title": "<string>",
"status": "to_do",
"shared": False,
"content": "<string>",
"due_date": "<string>",
"lead_uuid": "<string>",
"deal_uuid": "<string>",
"partnership_uuid": "<string>",
"assigned_user_uuids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
status: 'to_do',
shared: false,
content: '<string>',
due_date: '<string>',
lead_uuid: '<string>',
deal_uuid: '<string>',
partnership_uuid: '<string>',
assigned_user_uuids: ['<string>']
})
};
fetch('https://api.journeybee.io/v1/deals/{uuid}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"title": "<string>",
"content": "<string>",
"due_date": "<string>",
"shared": true,
"lead_uuid": "<string>",
"deal_uuid": "<string>",
"partnership_uuid": "<string>",
"assigned_users": [
{
"uuid": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
}Deal Tasks
Create a task on a deal
Creates a task attached to this deal. Equivalent to POST /v1/tasks with deal_uuid set.
POST
/
deals
/
{uuid}
/
tasks
Create a task on a deal
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Available options:
to_do, in_progress, in_review, done Task description. Supports markdown syntax (headings, bold, italic, lists, links, code blocks) which is converted to rich text.
Maximum string length:
50000Available options:
low, medium, high, urgent Response
201 - application/json
Default Response
Available options:
to_do, in_progress, in_review, done Available options:
low, medium, high, urgent Show child attributes
Show child attributes
⌘I